petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCreateSubDM

Returns an IS and DM encapsulating a subproblem defined by the fields passed in. The fields are defined by DMCreateFieldIS().

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMCreateSubDM(DM dm, PetscInt numFields, PetscInt fields[], IS *is, DM *subdm)

Not collective Many br

### Input Parameters

| dm | - the DM object Many br
| numFields | - number of fields in this subproblem Many br
| len | - The number of subproblems in the decomposition (or NULL if not requested) Many br

### Output Parameters

is -The global indices for the subproblem Many br
dm -The DM for the subproblem Many br

Many br

### See Also

DMDestroy(), DMView(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMCreateFieldIS()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex77.c.html